%define build_evo       1
%define build_doc	1

#gw libtracker-common is in the main package and not provided
%define _requires_exceptions devel(libtracker-common\\|devel(libtracker-data

%define api		0.14
%define major		0
%define girmajor	0.14

%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname         %mklibname %{name}-gir %{girmajor}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Desktop-neutral metadata-based search framework
Name:		tracker
Version:	0.14.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		tracker-0.12.8-linkage.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.tracker-project.org
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	tiff-devel
BuildRequires:	jpeg-devel
BuildRequires:	libunistring-devel
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	pkgconfig(camel-1.2) >= 2.32.0
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= 2.32.0
BuildRequires:	pkgconfig(evolution-plugin-3.0)
BuildRequires:	pkgconfig(evolution-shell-3.0) >= 3.1
BuildRequires:	pkgconfig(exempi-2.0) >= 2.1.0
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gee-1.0) >= 0.3
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.26
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.31
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10) >= 0.10.31
BuildRequires:	pkgconfig(gstreamer-tag-0.10) >= 0.10.31
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libexif) >= 0.6
BuildRequires:	pkgconfig(libgsf-1) >= 1.13
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libnm-glib) >= 0.8
BuildRequires:	pkgconfig(libpanelapplet-4.0)
BuildRequires:	pkgconfig(libosinfo-1.0)
BuildRequires:	pkgconfig(libpng) >= 1.2
BuildRequires:	pkgconfig(libstreamanalyzer) >= 0.7.0
BuildRequires:	pkgconfig(libxine) >= 1.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(pango) >= 1.0.0
BuildRequires:	pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:	pkgconfig(rest-0.7) >= 0.6
BuildRequires:	pkgconfig(sqlite3) >= 3.7.0
BuildRequires:	pkgconfig(taglib_c) >= 1.6
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vorbisfile) >= 0.22
Obsoletes:	tracker-search-tool < 0.10
Obsoletes:	%{name}-common < 0.12.8-2
Obsoletes:	%{name}-preferences < 0.12.8-2
Obsoletes:	%{name}-applet < 0.12.8-2
Requires:	odt2txt

%description
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%if %{build_evo}
%package -n evolution-%{name}
Group:		Networking/Mail
Summary:	Integrate Evolution with the Tracker desktop search
Requires:	evolution
Requires:	%{name} = %{version}-%{release}
BuildRequires:	pkgconfig(evolution-plugin-3.0)

%description -n evolution-%{name}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

This package contains an evolution plugin for Tracker integration.
%endif

%package -n nautilus-%{name}
Group:		Graphical desktop/GNOME
Summary:	Nautilus integration of tracker
Requires:	%{name} = %{version}-%{release}
BuildRequires:	pkgconfig(libnautilus-extension)

%description -n nautilus-%{name}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

This package contains an nautilus plugin for Tracker integration.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of Tracker
Conflicts:	%{name}	< 0.12.8-2

%description -n %{libname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{develname}
Group:		Development/C
Summary:	Development library of Tracker
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} -d} < 0.10.21
Obsoletes:	%{mklibname %{name} 0.11 -d} < %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0.10 -d} 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.12.8-2

%description -n %{develname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other 
Requires:	%{develname} = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%if %{build_doc}
%package docs
Summary:	Documentations for tracker
Group:		Books/Other 
BuildArch:	noarch
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:	dia
BuildRequires:	graphviz
Conflicts:	%{name} < 0.10.17

%description docs
This package contains the documentation for tracker.
%endif

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--enable-libflac \
	--enable-libvorbis \
	--disable-functional-tests \
	--disable-miner-thunderbird \
	--disable-miner-firefox \
%if %{build_doc}
	--enable-gtk-doc \
%endif
%if !%{build_evo}
	--disable-miner-evolution \
%else
        --enable-miner-evolution \
%endif
	--enable-libosinfo \
        --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_datadir}/tracker-tests

# do not start under KDE
desktop-file-install \
	--remove-only-show-in=KDE \
	--dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
		%{buildroot}%{_sysconfdir}/xdg/autostart/*.desktop

#fix categories (mga#3613)
desktop-file-install \
	--add-category=GTK \
	--add-category=GNOME \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}-preferences.desktop

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-miner-fs.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-miner-flickr.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-store.desktop
%{_bindir}/%{name}-control
%{_bindir}/%{name}-explorer
%{_bindir}/%{name}-import
%{_bindir}/%{name}-info
%{_bindir}/%{name}-search
%{_bindir}/%{name}-sparql
%{_bindir}/%{name}-stats
%{_bindir}/%{name}-tag
%{_bindir}/%{name}-needle
%{_bindir}/%{name}-preferences
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}-%{api}/extract-modules
%dir %{_libdir}/%{name}-%{api}/writeback-modules
%{_libdir}/%{name}-%{api}/extract-modules/*.so
%{_libdir}/%{name}-%{api}/writeback-modules/*.so
%{_libexecdir}/%{name}-extract
%{_libexecdir}/%{name}-miner-flickr
%{_libexecdir}/%{name}-miner-fs
%{_libexecdir}/%{name}-store
%{_libexecdir}/%{name}-writeback
%{_libexecdir}/%{name}-search-bar
%{_mandir}/man1/%{name}-control.1*
%{_mandir}/man1/%{name}-extract.1*
%{_mandir}/man1/%{name}-import.1*
%{_mandir}/man1/%{name}-info.1*
%{_mandir}/man1/%{name}-miner-fs.1*
%{_mandir}/man1/%{name}-needle.1.*
%{_mandir}/man1/%{name}-search.1*
%{_mandir}/man1/%{name}-sparql.1*
%{_mandir}/man1/%{name}-stats.1*
%{_mandir}/man1/%{name}-store.1*
%{_mandir}/man1/%{name}-tag.1*
%{_mandir}/man1/%{name}-writeback.1*
%{_mandir}/man1/%{name}-preferences.1*
%{_mandir}/man1/%{name}-search-bar.1*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Writeback.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.SearchBarFactory.service
%{_datadir}/gnome-panel/4.0/applets/org.gnome.panel.SearchBar.panel-applet
%{_datadir}/applications/tracker-needle.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.*
%{_datadir}/applications/%{name}-preferences.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files vala
%{_datadir}/vala/vapi/%{name}-sparql-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-sparql-%{api}.deps
%{_datadir}/vala/vapi/%{name}-miner-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-miner-%{api}.deps

%files -n %{libname}
%{_libdir}/lib%{name}-extract-%{api}.so.%{major}*
%{_libdir}/lib%{name}-miner-%{api}.so.%{major}*
%{_libdir}/lib%{name}-sparql-%{api}.so.%{major}*
%dir %{_libdir}/%{name}-%{api}/
%{_libdir}/%{name}-%{api}/libtracker-*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Tracker-%{girmajor}.typelib
%{_libdir}/girepository-1.0/TrackerExtract-%{girmajor}.typelib
%{_libdir}/girepository-1.0/TrackerMiner-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}-extract-%{api}.so
%{_libdir}/lib%{name}-miner-%{api}.so
%{_libdir}/lib%{name}-sparql-%{api}.so
%{_libdir}/%{name}-%{api}/libtracker-*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-extract-%{api}.pc
%{_libdir}/pkgconfig/%{name}-miner-%{api}.pc
%{_libdir}/pkgconfig/%{name}-sparql-%{api}.pc
%{_datadir}/gir-1.0/Tracker-%{girmajor}.gir
%{_datadir}/gir-1.0/TrackerExtract-%{girmajor}.gir
%{_datadir}/gir-1.0/TrackerMiner-%{girmajor}.gir

%if %{build_doc}
%files docs
%{_datadir}/gtk-doc/html/lib%{name}-extract
%{_datadir}/gtk-doc/html/lib%{name}-miner
%{_datadir}/gtk-doc/html/lib%{name}-sparql
%{_datadir}/gtk-doc/html/ontology
%endif

%if %{build_evo}
%files -n evolution-%{name}
%{_libdir}/evolution/*/plugins/liborg-freedesktop-Tracker-evolution-plugin.so
%{_libdir}/evolution/*/plugins/org-freedesktop-Tracker-evolution-plugin.eplug
%endif

%files -n nautilus-%{name}
%{_libdir}/nautilus/extensions-3.0/libnautilus-tracker-tags.*


%changelog

* Fri Mar 09 2012 fwang <fwang> 0.14.0-1.mga2
+ Revision: 222006
- new version 0.14.0

* Wed Feb 22 2012 wally <wally> 0.13.1-1.mga2
+ Revision: 212033
- new version 0.13.1
- enable libosinfo support
- new api 0.14
- rediff evolution patch

* Mon Feb 20 2012 wally <wally> 0.12.10-5.mga2
+ Revision: 211235
- rebuild for new evolution

* Wed Feb 15 2012 wally <wally> 0.12.10-4.mga2
+ Revision: 209378
- new version 0.12.10
- drop upstream applied patches

* Mon Feb 06 2012 wally <wally> 0.12.9-4.mga2
+ Revision: 205429
- add patch to fix build with new evolution

  + fwang <fwang>
    - rebuild for new evo

* Sun Dec 25 2011 wally <wally> 0.12.9-3.mga2
+ Revision: 187504
- add missing categories to tracker-preferences.desktop (mga#3613)
- disable firefox and thunderbird plugins for sure

* Sat Dec 24 2011 fwang <fwang> 0.12.9-2.mga2
+ Revision: 187314
- rebuild for new evo

* Sat Dec 17 2011 fwang <fwang> 0.12.9-1.mga2
+ Revision: 183108
- br gettext-devel
- fix build with glib > 2.31.4
- new version 0.12.9

* Fri Dec 09 2011 wally <wally> 0.12.8-2.mga2
+ Revision: 179669
- move some libs from main pkg into lib and devel pkg (thx mdawkins/mdv)
- drop unneeded ld.so.conf
- merge applet, preferences and common subpackages into main pkg

* Sat Nov 26 2011 fwang <fwang> 0.12.8-1.mga2
+ Revision: 172015
- fix linkage
- drop invalid br
- new version 0.12.8

* Tue Nov 22 2011 fwang <fwang> 0.12.7-3.mga2
+ Revision: 170714
- drop deprecated symbol
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 0.12.7-2.mga2
+ Revision: 159482
- rebuild for new evo

* Fri Oct 28 2011 wally <wally> 0.12.7-1.mga2
+ Revision: 159098
- new version 0.12.7

* Sat Oct 22 2011 wally <wally> 0.12.6-1.mga2
+ Revision: 157335
- new version 0.12.6

* Thu Oct 13 2011 wally <wally> 0.12.5-1.mga2
+ Revision: 154649
- new version 0.12.5

* Thu Oct 06 2011 wally <wally> 0.12.4-1.mga2
+ Revision: 152518
- new version 0.12.4

* Tue Sep 27 2011 ovitters <ovitters> 0.12.3-2.mga2
+ Revision: 149401
- rebuild for new poppler

* Mon Sep 26 2011 fwang <fwang> 0.12.3-1.mga2
+ Revision: 148637
- new version 0.12.3

* Thu Sep 22 2011 wally <wally> 0.12.2-1.mga2
+ Revision: 146825
- new version 0.12.2

* Fri Sep 16 2011 fwang <fwang> 0.12.1-1.mga2
+ Revision: 144169
- new version 0.12.1

* Thu Sep 15 2011 fwang <fwang> 0.12.0-2.mga2
+ Revision: 143767
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 141986
- new version 0.12.0

* Mon Aug 29 2011 fwang <fwang> 0.11.2-4.mga2
+ Revision: 136144
- rebuild for new evo
- add back require exceptions
- drop invalid switch
- fix linkage
- new version 0.11.2
- obsoletes old devel package, as we only support one tracker branch per distro
- clean up spec
- new version 0.10.20

  + wally <wally>
    - add patches from upstream to fix build with latest evolution
    - enable evolution subpackage
    - new version 0.11.1
    - new api 0.11
    - clean BRs and use pkgconfig style when possible
    - enable flac and tagreadbin configure options
    - new version 0.10.21
    - disable evolution plugin for now as it doesn't build
    - enable nm and gif support
    - fix devel package libification
    - create subpackages for vala binding and gir .typelibs
    - clean .spec a bit

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri Jun 24 2011 dmorgan <dmorgan> 0.10.17-5.mga2
+ Revision: 113290
- Fix requires
- This was not supposed to be part of this commit
- Add doc subpackage
  remove .la files
  clean spec file
- Clean spec file
- Disable functionnal tests
  Remove .la files
- Fix file list

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-2.mga2
+ Revision: 108225
- Add obsoletes to ease upgrade

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-1.mga2
+ Revision: 108200
- Add gnutls-devel as buildrequire
- Fix gobject-introspection-devel buildrequire
- Add gobject-introspection as buildrequire
- New version 0.10

* Sun Feb 06 2011 ahmad <ahmad> 0.8.17-4.mga1
+ Revision: 47732
- use generic BR

  + pterjan <pterjan>
    - Drop test on mdvver
    - Drop test on mdvver
    - imported package tracker

